public class Rectangle {
  private double width;
  private double length;
  private double area;

  public Rectangle(double length, double width) {
    this.length = length;
    this.width = width;
    setArea();
  }

  private void setArea() {
    area = length*width;
  }

  public double getWidth() {
    return width;
  }

  public double getPerimeter() {
    return 2*width + 2*length;
  }

  public void setWidth(double width) {
    this.width = width;
    setArea();
  }

  public void setLength(double width) {
    this.length = length;
    setArea();
  }

  public String toString() {
    return "rectangle: " + length + " by " + width;
  }
}

